/**
 * Interfaz de usuario
 */
export interface Usuario {
  key?: string;
  email: string;
  razon: undefined;
  nombre: string;
  apellidos: undefined;
  doi: undefined;
  movil: string;
  fechaNacimiento?: undefined;
  activo: boolean;
  ultimoAcceso?: undefined;
  reestablecerToken: string;
  reestablecerValidez: number;
  intentos_login: number;
  cerraduras_propias: Cerradura_Propia[];
  escenas_propias: Escena_Propia[];
  escenas_acceso: Escena_Acceso[];
}

/**
 * Interfaz de cerraduras propias del usuario
 */
export interface Cerradura_Propia {
  key?: string;
  cerradura_key: string;
}

/**
 * Interfaz de escenas propias del usuario
 */
export interface Escena_Propia {
  key?: string;
  escena_key: string;
}

/**
 * Interfaz de escenas a las que tiene acceso el usuario
 */
export interface Escena_Acceso {
  key?: string;
  escena_key: string;
  fecha_desde: string;
  hora_desde: string;
  fecha_hasta: string;
  hora_hasta: string;
}
