import {NgModule} from '@angular/core';
import {IonicPageModule, IonicPage, LoadingController} from 'ionic-angular';
import {AngularFireDatabaseModule} from 'angularfire2/database';
import {TranslateModule} from '@ngx-translate/core';
import {HttpClient} from '@angular/common/http';

// Páginas
import {EscenaPage} from './escena';

// Servicios
import {AccesosService} from '../../services/acceso/acceso.service';
import {EscenaService} from '../../services/escena/escena.service';
import {CerradurasService} from '../../services/cerradura/cerradura.service';
import { CallNumber } from '@ionic-native/call-number';

@IonicPage()
@NgModule({
  declarations: [EscenaPage],
  imports: [IonicPageModule.forChild(EscenaPage), TranslateModule.forChild()],
  providers: [ AngularFireDatabaseModule, EscenaService, CerradurasService, AccesosService, HttpClient, LoadingController, CallNumber]
})
export class EscenaPageModule {}
