import {NgModule} from '@angular/core';
import {IonicPageModule, IonicPage, LoadingController} from 'ionic-angular';
import {AngularFireDatabaseModule} from 'angularfire2/database';
import {TranslateModule} from '@ngx-translate/core';
import { Geolocation } from "@ionic-native/geolocation";

// Páginas
import {HomePage} from './home';

// Servicios
import {CerradurasService} from '../../services/cerradura/cerradura.service';
import {UsuarioService} from '../../services/usuario/usuario.service';
import {EscenaService} from '../../services/escena/escena.service';
import { GoogleMaps } from '@ionic-native/google-maps';
import { TipoCerradurasService } from '../../services/tipocerradura/tipocerradura.service';

@IonicPage()
@NgModule({
  declarations: [HomePage],
  imports: [IonicPageModule.forChild(HomePage), TranslateModule.forChild()],
  providers: [AngularFireDatabaseModule, EscenaService, CerradurasService, UsuarioService, LoadingController, GoogleMaps, TipoCerradurasService, Geolocation]
})
export class HomePageModule {}
