import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, AlertController, LoadingController } from 'ionic-angular';
import { AngularFireAuth } from 'angularfire2/auth';
import { TranslateService } from '@ngx-translate/core';

@IonicPage()
@Component({
  selector: 'page-reset',
  templateUrl: 'reset.html',
})
export class ResetPage {
  email: string;
  User_Not_Found: string;
  User_Not_Found_Desc: string;

  constructor(public navCtrl: NavController, public navParams: NavParams, private afAuth: AngularFireAuth, public translateService: TranslateService, public alertCtrl: AlertController, public loadingCtrl: LoadingController) {
    this.translateService.get('USER_NOT_FOUND').subscribe(value => this.User_Not_Found = value);
    this.translateService.get('USER_NOT_FOUND_DESC').subscribe(value => this.User_Not_Found_Desc = value);
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad ResetPage');
  }

  doReset() {
    let loader = this.loadingCtrl.create();
    loader.present();



    this.afAuth.auth.sendPasswordResetEmail(this.email).then(
      (resolve) => {
        //console.log(resolve);
        loader.dismiss();
        this.navCtrl.setRoot("LoginPage");
      }
      ,
      (reject) => {
        loader.dismiss();
        let alert = this.alertCtrl.create({
          title: this.User_Not_Found,
          subTitle: this.User_Not_Found_Desc,
          buttons: ['OK'],
        });
        alert.present();
        //console.log(reject);
      }
    );
  }
}
