import {Injectable} from '@angular/core';
import {AngularFireDatabase} from 'angularfire2/database';

// Modelos
import {Cerradura} from '../../models/cerraduras/cerradura.model';
import { EscenaCerradura } from '../../models/escenas/escena.model';

@Injectable()
export class CerradurasService {
  private cerraduras = this.db.list<Cerradura>('Cerraduras');

  constructor(private db: AngularFireDatabase) {}
  /*
  * Dump
  * */
  createDump() {
    let cerradura;

    cerradura = {nombre: '', descripcion: '', tipo_key: '', activo: true} as Cerradura;
    this.cerraduras.push(cerradura);
    cerradura = {nombre: '', descripcion: '', tipo_key: '', activo: true} as Cerradura;
    this.cerraduras.push(cerradura);
    cerradura = {nombre: '', descripcion: '', tipo_key: '', activo: true} as Cerradura;
    this.cerraduras.push(cerradura);
    cerradura = {nombre: '', descripcion: '', tipo_key: '', activo: true} as Cerradura;
    this.cerraduras.push(cerradura);
    cerradura = {nombre: '', descripcion: '', tipo_key: '', activo: true} as Cerradura;
    return this.cerraduras.push(cerradura);
  }

  /*
   * Otras acciones
   */
  /**
   * Carga las cerraduras de una escena y las devuelve en el callbackDone
   * @param key Identificador de la escena
   * @param callbackDone Funcción a llamar cuando tenga los datos. El parámetro es la colección de cerraduras
   * @param callbackFail Funcción a llamar cuando ocurra un error. El parámetro es el propio error devuelto por la base de datos
   */
  loadCerradurasByEscena(key: string, callbackDone: any, callbackFail: any) {
    let coleccion = new Array<Cerradura>();

    this.db
      .list(`Escenas/${key}/cerraduras`)
      .snapshotChanges()
      .subscribe(
        snapDone => {
          coleccion = new Array<Cerradura>();
          snapDone.forEach(function(value, index, array) {
            var ec = <EscenaCerradura>value.payload.val();
            var cerradura_key = ec.cerradura_key;

            this.db
              .object(`Cerraduras/${cerradura_key}`)
              .snapshotChanges()
              .subscribe(snapItem => {
                if (
                  !coleccion.find(function(f) {
                    return f.key == ec.cerradura_key;
                  })
                ) {
                  let cerradura = {key: snapItem.key, ...snapItem.payload.val()};
                  
                  coleccion.push(cerradura);
                }
                console.log('snapDone loadCerradurasByEscena');
                callbackDone(coleccion);
              });
          }, this);
        },
        snapFail => {
          console.log('snapFail loadCerradurasByEscena');
          callbackFail(snapFail);
        }
      );
  }

  /**
   * Devuelve una cerradura a partir de su identificador
   * @param key Identificador de la cerradura
   * @param callbackDone Funcción a llamar cuando tenga los datos. El parámetro es la cerradura
   * @param callbackFail Funcción a llamar cuando ocurra un error. El parámetro es el propio error devuelto por la base de datos
   */
  getCerraduraByKey(key: string, callbackDone: any, callbackFail: any) {
    this.db
      .object(`Cerraduras/${key}`)
      .snapshotChanges()
      .subscribe(
        snapItem => {
          console.log('snapDone getCerradurasByKey');
          let cerradura = {key: snapItem.key, ...snapItem.payload.val()};
          callbackDone(cerradura);
        },
        snapFail => {
          console.log('snapFail getCerradurasByKey');
          callbackFail(snapFail);
        }
      );
  }

}
