import {Injectable} from '@angular/core';
import {AngularFireDatabase} from 'angularfire2/database';
import {TipoCerradura} from '../../models/tiposcerraduras/tipocerradura.model';

@Injectable()
export class TipoCerradurasService {
  private tipocerraduras = this.db.list<TipoCerradura>('TiposCerraduras');
  tipocerradura: TipoCerradura;

  constructor(private db: AngularFireDatabase) {}

  /*
  * Dump
  * */
  createDump() {
    let tipocerradura;

    tipocerradura = {nombre: 'Nuki Internet', datos: [{clave: 'token'}, {clave: 'user'}]} as TipoCerradura;
    this.addTipoCerradura(tipocerradura);
    tipocerradura = {nombre: 'AppToIn Portal', datos: [{clave: 'url'}, {clave: 'user'}, {clave: 'password'}, {clave: 'duration'}]} as TipoCerradura;
    this.addTipoCerradura(tipocerradura);
    tipocerradura = {nombre: 'AppToIn Remote', datos: [{clave: 'url'}, {clave: 'user'}, {clave: 'password'}]} as TipoCerradura;
    return this.addTipoCerradura(tipocerradura);
  }
  /*
   * CRUD
   */
  getTipoCerradurasList() {
    return this.tipocerraduras;
  }

  addTipoCerradura(tipocerradura: TipoCerradura) {
    return this.tipocerraduras.push(tipocerradura);
  }

  updateTipoCerradura(tipocerradura: TipoCerradura) {
    return this.tipocerraduras.update(tipocerradura.key, tipocerradura);
  }

  deleteTipoCerradura(tipocerradura: TipoCerradura) {
    return this.tipocerraduras.remove(tipocerradura.key);
  }
}
