import { Injectable } from '@angular/core';
import { AngularFireDatabase } from 'angularfire2/database';
import { Usuario } from '../../models/usuarios/usuario.model';

@Injectable()
export class UsuarioService {
  private usuarios = this.db.list<Usuario>('Usuarios');

  constructor(private db: AngularFireDatabase) { }

  /*
  * Dump
  * */
  createDump() {
    let usuario;
    usuario = {
      email: 'test@test.com',
      razon: '',
      nombre: 'nombre1',
      apellidos: 'apellidos1',
      doi: '00000000T',
      movil: '666777898',
      fechaNacimiento: '01/01/2000',
      activo: false,
      ultimoAcceso: '',
      reestablecerToken: '',
      reestablecerValidez: 0,
      intentos_login: 0,

      cerraduras_propias: [{ cerradura_key: '-qQQQRQEWR' }],
      escenas_propias: [{ escena_key: '-LC8k5E8pzGMQZY4-Jh0' }],
      escenas_acceso: [{ escena_key: '-LC8k5EAkRvxoWd9H5Y_', fecha_desde: '01/01/2018', hora_desde: '12:00', fecha_hasta: '05/08/2018', hora_hasta: '00:00' }]
    } as Usuario;
    return this.usuarios.set('PAJg8BDJ7eVHRDI1QNm0bp9a8Yp2', usuario);
  }

  /**
   * Devuelve un usuario a partir de su identificador
   * @param uid Identificador del usuario
   * @param callbackDone Funcción a llamar cuando tenga los datos. El parámetro es el usuario
   * @param callbackFail Funcción a llamar cuando ocurra un error. El parámetro es el propio error devuelto por la base de datos
   */
  getUsuarioByUID(uid: string, callbackDone: any, callbackFail: any) {
    this.db
      .object(`Usuarios/${uid}`)
      .snapshotChanges()
      .subscribe(
        snapItem => {
          console.log('snapDone getUsuarioByUID');
          let usuario = { key: snapItem.key, ...snapItem.payload.val() };
          callbackDone(usuario);
        },
        snapFail => {
          console.log('snapFail getUsuarioByUID');
          callbackFail(snapFail);
        }
      );
  }
}
